Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1270301 - Some files removed by the patch are not backed up in .old
Summary: Some files removed by the patch are not backed up in .old
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Launch Scripts
Version: JON 3.3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR01
: JON 3.3.4
Assignee: Simeon Pinder
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-09 14:26 UTC by Filip Brychta
Modified: 2016-01-19 13:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-19 13:09:29 UTC
Type: Task


Attachments (Terms of Use)

Description Filip Brychta 2015-10-09 14:26:33 UTC
Description of problem:
Files which are removed by the patch should be backed up in .old directory but following files are not:
41a1995c08397242ff294107cc117ce8 /home/hudson/jon-server-3.3.0.GA/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-server.jar/org/rhq/enterprise/server/event/EventManagerLocal.class
913708f4789752665b20637989da20cf /home/hudson/jon-server-3.3.0.GA/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-server.jar/org/rhq/enterprise/server/bundle/BundleManagerRemote.class
ef71ec9113cdfa0eb271bde34b202284 /home/hudson/jon-server-3.3.0.GA/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-server.jar/org/rhq/enterprise/server/event/EventManagerRemote.class
 

Version-Release number of selected component (if applicable):
JON3.3.4.ER01

How reproducible:
always

Comment 1 Simeon Pinder 2015-10-09 14:45:57 UTC
This is fixed with the following commit to jon.git: 73217d4981f8be

Comment 2 Simeon Pinder 2015-10-15 05:22:38 UTC
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com//buildinfo?buildID=461043

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER02 build of
 jon-server-3.3.0.GA-update-04.zip.

Comment 3 Filip Brychta 2015-10-15 09:00:57 UTC
Verified on:
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd


Note You need to log in before you can comment on or make changes to this bug.